Bug 1431566 - make check hangs on arm
Summary: make check hangs on arm
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: llvm
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom Stellard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2017-03-13 09:57 UTC by Tom Stellard
Modified: 2018-04-05 14:40 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-04-05 14:40:20 UTC


Attachments (Terms of Use)
Work around make check hangs on ARM (1.18 KB, patch)
2017-03-13 23:08 UTC, Tom Stellard
no flags Details | Diff

Description Tom Stellard 2017-03-13 09:57:51 UTC
These make check hangs when run on arm:

test/ExecutionEngine/MCJIT/eh-lg-pic.ll
test/ExecutionEngine/MCJIT/eh-sm-pic.ll
test/ExecutionEngine/MCJIT/multi-module-eh-a.ll
test/ExecutionEngine/MCJIT/eh.ll

This is not a problem on f25.  My guess is that this is triggered by a change in libstdc++, since these test JIT code which call the low-level c++ exception handling routines.

Comment 1 Tom Stellard 2017-03-13 23:08 UTC
Created attachment 1262713 [details]
Work around make check hangs on ARM

There are more hanging tests than listed above.  Every test in test/ExecutionEngine with 'XFAIL: arm' hangs.  This patch removes those tests on ARM builds.

Comment 2 Fedora Update System 2017-03-14 11:20:35 UTC
llvm-3.9.1-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d1e1a00b8e

Comment 3 Fedora Update System 2017-03-14 22:58:16 UTC
clang-3.9.1-1.fc26 compiler-rt-3.9.1-1.fc26 lldb-3.9.1-2.fc26 llvm-3.9.1-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d1e1a00b8e

Comment 4 Fedora Update System 2017-03-15 04:23:05 UTC
clang-3.9.1-1.fc26, compiler-rt-3.9.1-1.fc26, lldb-3.9.1-2.fc26, llvm-3.9.1-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d1e1a00b8e

Comment 5 Florian Weimer 2017-03-20 10:59:05 UTC
(In reply to Tom Stellard from comment #0)
> These make check hangs when run on arm:
> 
> test/ExecutionEngine/MCJIT/eh-lg-pic.ll
> test/ExecutionEngine/MCJIT/eh-sm-pic.ll
> test/ExecutionEngine/MCJIT/multi-module-eh-a.ll
> test/ExecutionEngine/MCJIT/eh.ll
> 
> This is not a problem on f25.  My guess is that this is triggered by a
> change in libstdc++, since these test JIT code which call the low-level c++
> exception handling routines.

A libstdc++ change seems rather unlikely.  You wrote elsewhere that these tests call __cxa_begin_catch directly, but that in itself should not cause any issues because these functions are part of the ABI, so their behavior is tightly regulated.

Have you been able to capture any backtraces from the hang?  It could be TLS initialization changes which caused this (depending on what the test actually does).

Comment 6 Fedora Update System 2017-04-01 17:05:05 UTC
clang-3.9.1-1.fc26, compiler-rt-3.9.1-1.fc26, lldb-3.9.1-2.fc26, llvm-3.9.1-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Jan Kurik 2017-08-15 07:54:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 8 Fedora Update System 2018-03-28 04:38:17 UTC
llvm-5.0.1-6.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ec27b84fde

Comment 9 Fedora Update System 2018-03-29 00:43:35 UTC
llvm-5.0.1-6.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ec27b84fde

Comment 10 Fedora Update System 2018-03-30 13:56:05 UTC
llvm-5.0.1-6.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-04-02 17:19:20 UTC
clang-6.0.0-5.fc28 lldb-6.0.0-3.fc28 llvm-6.0.0-11.fc28 mesa-18.0.0-2.fc28.1 pocl-1.1-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-02c4091319

Comment 12 Fedora Update System 2018-04-03 15:57:36 UTC
clang-6.0.0-5.fc28, lldb-6.0.0-3.fc28, llvm-6.0.0-11.fc28, mesa-18.0.0-2.fc28.1, pocl-1.1-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-02c4091319

Comment 13 Fedora Update System 2018-04-03 23:26:04 UTC
clang-6.0.0-5.fc28 lldb-6.0.0-3.fc28 llvm-6.0.0-11.fc28 mesa-18.0.0-3.fc28 pocl-1.1-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-02c4091319

Comment 14 Fedora Update System 2018-04-04 18:35:35 UTC
clang-6.0.0-5.fc28, lldb-6.0.0-3.fc28, llvm-6.0.0-11.fc28, mesa-18.0.0-3.fc28, pocl-1.1-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-02c4091319

Comment 15 Fedora Update System 2018-04-05 11:48:13 UTC
clang-6.0.0-5.fc28, lldb-6.0.0-3.fc28, llvm-6.0.0-11.fc28, mesa-18.0.0-3.fc28, pocl-1.1-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.